comedi_do_insn
Prev | 5.4.1. Core Functions | Next

## Name

comedi_do_insn — perform instruction

## Synopsis

    #include <comedilib.h>

`int comedi_do_insn(` | comedi_t * device,
| comedi_insn * instruction`)`;

## Description

The function `comedi_do_insn` performs a single instruction.

## Return value

If successful, returns a non-negative number. For the case of `INSN_READ` or `INSN_WRITE` instructions, `comedi_do_insn` returns the number of samples read or written, which may be less than the number requested. If there is an error, `-1` is returned.

Prev | Up | Next
comedi_data_write | Home | comedi_do_insnlist